Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037886
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajoralways2018-02-09 15:062018-02-13 19:39
ReportermalsasuaView Statuspublic 
Assigned ToRetail 
PriorityimmediateResolutionfixedFixed in VersionRR18Q1
StatusclosedFix in branchFixed in SCM revision93995be85174
ProjectionnoneETAnoneTarget VersionRR18Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - QA Approved
Regression date2017-07-04
Regression introduced in releaseRR17Q4
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8e04e7615f772b1de03f344fa01c920932dd08ab [^]
Triggers an Emergency PackNo
Summary

0037886: when a invoice is created from POS, the date account is set with hours, mins and secs

Descriptionwhen a invoice is created from POS (by cashup or directly), the dateaccount is set with hours, minutes and secconds, and it should be a truncated date.

For example, the current date is "09/02/2018 14:25:17", and it should be "09/02/2018 00:00:00"

Also, date invoice should be a truncated date, but it is happening from a long time, previous to 17Q1

Steps To ReproducePOS:
. new receipt with the option "invoice this receipt"
. complete it

Database:
. the c_invoice.dateacct created is set with HH:MM:SS

POS:
. new receipt without the option "invioce this receipt"
. do cashup

Database:
. the c_invoice.dateacct created is set with HH:MM:SS
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0037873 closedranjith_qualiantech_com when a invoice is created from POS, the date account is set with hours, mins and secs 

-  Notes
(0102346)
hgbot (developer)
2018-02-13 10:35

Repository: retail/backports/3.0RR18Q1/org.openbravo.retail.posterminal
Changeset: 93995be85174ae105da8e5802e5fc175a050708d
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 13 12:07:58 2018 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q1/org.openbravo.retail.posterminal/rev/93995be85174ae105da8e5802e5fc175a050708d [^]

Fixed issue 37886 : Invoices should be created without time in accounting date and invoice date fields

* Time should be truncated fom Date while creating invoice through cashup or receipt

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor_data.xsql
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0102347)
hgbot (developer)
2018-02-13 10:36

Repository: retail/backports/3.0RR18Q1/pi-mobile
Changeset: 69488460f809eef100e086dcbca50ad0e7b64bb4
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 13 15:05:33 2018 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q1/pi-mobile/rev/69488460f809eef100e086dcbca50ad0e7b64bb4 [^]

Verifies issue 37886 : Added automated test 'I37886_VerfiyInvoiceDate'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I37886_VerfiyInvoiceDate.java
---

- Issue History
Date Modified Username Field Change
2018-02-12 14:08 marvintm Type defect => backport
2018-02-12 14:08 marvintm Target Version => RR18Q1
2018-02-13 10:35 hgbot Checkin
2018-02-13 10:35 hgbot Note Added: 0102346
2018-02-13 10:35 hgbot Status scheduled => resolved
2018-02-13 10:35 hgbot Resolution open => fixed
2018-02-13 10:35 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR18Q1/org.openbravo.retail.posterminal/rev/93995be85174ae105da8e5802e5fc175a050708d [^]
2018-02-13 10:36 hgbot Checkin
2018-02-13 10:36 hgbot Note Added: 0102347
2018-02-13 19:39 marvintm Review Assigned To => marvintm
2018-02-13 19:39 marvintm Status resolved => closed
2018-02-13 19:39 marvintm Fixed in Version => RR18Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker